# pyproject.toml

[build-system]
requires      = ["setuptools>=61.0.0", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "enrico_compute"
version = "0.0.12"
description = "main compute library for the enrico virtual agent"
readme = "README.md"
authors = [{ name = "ag-scs", email = "ag-scs@techfak.uni-bielefeld.de" }]
license = { file = "LICENSE" }
classifiers = [
    "License :: CC BY-NC-SA 4.0 Deed",
    "Programming Language :: Python",
    "Programming Language :: Python :: 3",
]
keywords = ["enrico","compute","virtual agent"]
dependencies = [
    "numpy",
    "psutil",
    "asyncio",
    "imagezmq",
    "pyzmq",
    "ipaacar-python",
    "attrs",
]
requires-python = ">=3.9"

[project.optional-dependencies]
dev = []

[project.urls]
Homepage = "https://gitlab.ub.uni-bielefeld.de/scs/enrico_public/base_compute_module"

[project.scripts]
realpython = "__main__:main"

